# Bob -- The Handy Feedback App

This project is a simple Kotlin Multiplatform Application that allows users to enter free-text and
submit the content to a server over HTTP. It also includes a form with sentiment selection and
displays a Snackbar whenever the submit button is pressed.

## Features

- Free-text input form
- Sentiment selection using FilterChips
- Submit content to a server using Retrofit
- Display Snackbar on form submission

## Technologies Used

- Kotlin
- Jetpack Compose
- Retrofit
- Gradle

## Getting Started

### Installation

1. Download the latest release from
   the [releases page](https://git.brmartin.co.uk/bob/mobile-application/releases)
2. Install the application following the on-screen instructions.

### Usage

1. Run the application on an Android emulator or a physical device.
2. Select a sentiment using the FilterChips.
3. Enter your text in the provided text field.
4. Press the submit button to send the content to the server.

### Project Structure

- `composeApp/src/commonMain/kotlin/uk/sky/bob/application/App.kt`: Main Compose UI and form
  submission logic.
